import sys
import subprocess
from colorama import Fore, Back, Style, init

def main():
    if len(sys.argv) > 1:

        arg = sys.argv[1:]
        try:
            result = subprocess.run(arg, text=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
        except Exception as e:
            print(f"check the spelling: {' '.join(arg)}")
        else:
            print(Fore.GREEN+"Exit Code:"+Style.RESET_ALL, result.returncode if result.returncode != "" else "None")  # Captures exit code
            print(Fore.BLUE+"Output:"+Style.RESET_ALL, result.stdout.strip() if result.stdout.strip() != "" else "None")  # Captures normal output
            print(Fore.RED+"Error:"+Style.RESET_ALL, result.stderr.strip() if result.stderr.strip() != "" else "None")  # Captures error output

    else:
        print("No input provided. To use macun: macun <command line>")

if __name__ == "__main__":
    main()
